/*
 * Copyright 2014 OGIS-RI All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.co.ogis_ri.optaplanner.jobSolution.domain;

public class Job extends AbstractPersistable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Day day;

	public Job() {
		super();
	}

	public Job(final int id, final String name, final Day day) {
		super(id, name);
		this.day = day;
	}

	public Day getDay() {
		return this.day;
	}

	public void setDay(final Day day) {
		this.day = day;
	}

}
