/*
 * Copyright 2014 OGIS-RI All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.co.ogis_ri.optaplanner.jobSolution.domain.solver;

import java.io.Serializable;
import java.util.Comparator;

import jp.co.ogis_ri.optaplanner.jobSolution.domain.JobAssignment;

import org.apache.commons.lang.builder.CompareToBuilder;

public class JobAssignmentDifficultyComparator implements
		Comparator<JobAssignment>, Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Override
	public int compare(final JobAssignment arg0, final JobAssignment arg1) {
		return new CompareToBuilder().append(arg0.getId(), arg1.getId())
				.toComparison();
	}
}
